# Uses of Interface
org.apache.commons.math3.ode.FirstOrderFieldDifferentialEquations

Packages that use FirstOrderFieldDifferentialEquations
Package
Description
org.apache.commons.math3.ode
This package provides classes to solve Ordinary Differential Equations problems.
org.apache.commons.math3.ode.nonstiff
This package provides classes to solve non-stiff Ordinary Differential Equations problems.

## Uses of FirstOrderFieldDifferentialEquations in org.apache.commons.math3.ode

Constructors in org.apache.commons.math3.ode with parameters of type FirstOrderFieldDifferentialEquations
Modifier
Constructor
Description
``
`FieldExpandableODE(FirstOrderFieldDifferentialEquations<T> primary)`
Build an expandable set from its primary ODE set.

## Uses of FirstOrderFieldDifferentialEquations in org.apache.commons.math3.ode.nonstiff

Methods in org.apache.commons.math3.ode.nonstiff with parameters of type FirstOrderFieldDifferentialEquations
Modifier and Type
Method
Description
`T[]`
RungeKuttaFieldIntegrator.`singleStep(FirstOrderFieldDifferentialEquations<T> equations, T t0, T[] y0, T t)`
Fast computation of a single step of ODE integration.